{*
 * Swisslinux.org mod
 *}

{php}
/** ******************************************* **/
/** This page uses the Swisslinux.org's desgin  **/
/** written by fbianco			        **/
/** ******************************************* **/

/** Define some variables for the Swisslinux.org's design **/
require_once('/home/g-swisslinux/www/static.swisslinux.org/inc/sl_config.inc.php');
define('SL_SECTION', 'gallery'); // Section : main, association, wiki, forum, press, gallery, ...

require_once(SL_INC_PATH.'sl_l10n.inc.php');	// Load the localization objects and functions

/** Load the doctype file **/
require(SL_INC_PATH.'sl_doctype.inc.php');
{/php}

<head>

    {* Let Gallery print out anything it wants to put into the <head> element *}
    {g->head}

    {* If Gallery doesn't provide a header, we use the album/photo title (or filename) *}
    {if empty($head.title)}
      <title>Swisslinux.org − {$theme.item.title|default:$theme.item.pathComponent|markup:strip}</title>
    {/if}

    {* Include this theme's style sheet *}
    <link rel="stylesheet" type="text/css" href="{g->theme url="theme.css"}"/>

{php}
/** Load head files **/
require(SL_INC_PATH.'sl_head.inc.php');
{/php}

</head>

<body>

{php}
/** Load files for the top of the body **/
require(SL_INC_PATH.'sl_body_top.inc.php');
require(SL_INC_PATH.'sl_menu_begin.inc.php');

// BEGIN : Secondary menu (wiki, gallery, forum, ...)
{/php}

			<h1>{php} print $SL_MC->msg('Gallery');{/php}</h1>
			
			{ g->block type="core.BreadCrumb" }
			
			{if !empty($theme.params.sidebarBlocks)}
				{g->theme include="sidebar.tpl"}
			{/if}

			<h1 class="sl_g2_admin">{php} print $SL_MC->msg('Administration');{/php}</h1>
			{g->block type="core.SystemLinks"
			    order="core.SiteAdmin core.YourAccount core.Login core.Logout"
			    othersAt=4}

{php}
// END : Secondary menu

/** Terminate the menu **/
require(SL_INC_PATH.'sl_menu_end.inc.php');
{/php}

{php}
/** Swisslinux.org's news **/
require(SL_INC_PATH.'sl_news.inc.php');
{/php}

{php} /** BEGIN Swisslinux.org's main div **/ {/php}
		<div id="sl_main">

<!-- **** BEGIN OF Gallery2 code ***** -->

  <div class="gallery">
    <div {g->mainDivAttributes}>
      {*
       * Some module views (eg slideshow) want the full screen.  So for those, we
       * don't draw a header, footer, navbar, etc.  Those views are responsible for
       * drawing everything.
       *}
      {if $theme.useFullScreen}
	{include file="gallery:`$theme.moduleTemplate`" l10Domain=$theme.moduleL10Domain}
      {else}

      {* Include the appropriate content type for the page we want to draw. *}
      {if $theme.pageType == 'album'}
	{g->theme include="album.tpl"}
      {elseif $theme.pageType == 'photo'}
	{g->theme include="photo.tpl"}
      {elseif $theme.pageType == 'admin'}
	{g->theme include="admin.tpl"}
      {elseif $theme.pageType == 'module'}
	{g->theme include="module.tpl"}
      {elseif $theme.pageType == 'progressbar'}
	{g->theme include="progressbar.tpl"}
      {/if}

      <div id="gsFooter">
	{* g->logoButton type="validation" *}
	{* g->logoButton type="gallery2" *}
	{* g->logoButton type="gallery2-version" *}
	{* g->logoButton type="donate" *}
      </div>
      {/if}  {* end of full screen check *}
    </div>

    {*
     * Give Gallery a chance to output any cleanup code, like javascript that
     * needs to be run at the end of the <body> tag.  If you take this out, some
     * code won't work properly.
     *}
    {g->trailer}

    {* Put any debugging output here, if debugging is enabled *}
    {g->debug}
  </div>
<!-- **** END OF Gallery2 code ***** -->


		</div>
{php} /** END Swisslinux.org's main div **/ {/php}

{php}
/** Terminate the page with footer **/
require(SL_INC_PATH.'sl_body_bottom.inc.php');
{/php}

</body>
</html>